Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(367)

Issue 567050043: Issue 5656: Warn about accessing the Global context explicitly (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by Dan Eble
Modified:
1 month ago
Reviewers:
thomasmorley651
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

https://sourceforge.net/p/testlilyissues/issues/5656/ This is another nudge in the direction of consistency in handling contexts. 1: Add regression test for \new Global This passes without changes: LilyPond issues a warning about \new Global. 2: Warn about trying to access the Global context explicitly Warn for \context Global and \set Global.property as for \new Global.

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+38 lines, -7 lines) Patch
A input/regression/context-global-find.ly View 1 chunk +16 lines, -0 lines 0 comments Download
A input/regression/context-global-new.ly View 1 chunk +11 lines, -0 lines 0 comments Download
M lily/context.cc View 2 chunks +7 lines, -7 lines 0 comments Download
M lily/include/context.hh View 1 chunk +2 lines, -0 lines 0 comments Download
M lily/include/global-context.hh View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 5
thomasmorley651
I know several custom codings (defining a new grob, thus the need to reintroduce all-grob-descriptions ...
1 month, 1 week ago (2020-01-09 00:33:35 UTC) #1
Dan Eble
On 2020/01/09 00:33:35, thomasmorley651 wrote: > I know several custom codings (defining a new grob, ...
1 month, 1 week ago (2020-01-09 03:24:34 UTC) #2
Dan Eble
Harm, Do you want more time to consider this change, or are you now comfortable ...
1 month ago (2020-01-14 13:12:54 UTC) #3
Dan Eble
On 2020/01/14 13:12:54, Dan Eble wrote: > Harm, > Do you want more time to ...
1 month ago (2020-01-14 17:43:19 UTC) #4
thomasmorley651
1 month ago (2020-01-14 18:53:43 UTC) #5
Message was sent while issue was closed.
On 2020/01/14 17:43:19, Dan Eble wrote:
> On 2020/01/14 13:12:54, Dan Eble wrote:
> > Harm,
> > Do you want more time to consider this change, or are you now comfortable
with
> > my pushing it?
> 
> Since your primary concern was that modifying Global in a \layout block should
> still work, and my testing shows that it does, I'm going to push this.

Hi Dan,

sorry, wasn't online some time ...

Additionally, I was thinking about:

{
	\context Global
	\applyContext #(lambda (ctx) ...)
	...
}

Though, for which use-cases ...?
I didn't find any.

So I'm fine with the patch being pushed.

Cheers,
  Harm
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b